summaryrefslogtreecommitdiff
path: root/ansible/run-playbook
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2016-09-06 15:09:42 +0300
committerLars Wirzenius <liw@liw.fi>2016-09-06 15:09:42 +0300
commit95e0e803143756ef5d4cf7821b7e94b5fd13a7c7 (patch)
treea43e74ed0fd8efb3d9ce5b3666283726b5e3e246 /ansible/run-playbook
parent4ad04418cc68157dd060c28ecb4ba8b2db5b675d (diff)
downloadminipc-router-95e0e803143756ef5d4cf7821b7e94b5fd13a7c7.tar.gz
Add Ansible playbook to config LAN1
Diffstat (limited to 'ansible/run-playbook')
-rwxr-xr-xansible/run-playbook16
1 files changed, 16 insertions, 0 deletions
diff --git a/ansible/run-playbook b/ansible/run-playbook
new file mode 100755
index 0000000..c796862
--- /dev/null
+++ b/ansible/run-playbook
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -eu
+
+abspath()
+{
+ (cd "$1" && pwd)
+}
+
+srcdir()
+{
+ abspath "$(dirname "$0")"
+}
+
+export PASSWORD_STORE_DIR="$(srcdir)"/secrets
+ansible-playbook -i hosts "$@"